Page 2 of 2 FirstFirst 12
Results 11 to 18 of 18

Thread: dolphin crashes in split mode

  1. #11

    Default Re: dolphin crashes in split mode

    Quote Originally Posted by folkpuddle View Post
    There was an update from the applications repo today for dolphin4 - I let zypper up do its stuff and restarted the Operaiting System.

    Alas Dolphin crashes in split view mode while performing drag and drop...sigh.
    dolphin4 is the old KDE4 version (mainly still included so that Konqueror works as file manager), while you are using the KF5 based dolphin. So that update can't have an impact of course.

    So, as a workaround to avoid the crashes you could use dolphin4 or Konqueror...

    Btw, I never experienced such a crash here either.
    But then, I'm on 13.2 and use Qt 5.5.1. A Qt update for Leap 42.1 is running at the moment, maybe that would help...

    One thing I would recommend though to make sure that you don't have a mixture of packages in different versions installed:
    Code:
    sudo zypper dup --from 1

  2. #12
    Join Date
    Mar 2011
    Location
    Coastal Otago
    Posts
    191

    Default Re: dolphin crashes in split mode

    Quote Originally Posted by wolfi323 View Post
    dolphin4 is the old KDE4 version (mainly still included so that Konqueror works as file manager), while you are using the KF5 based dolphin. So that update can't have an impact of course.

    So, as a workaround to avoid the crashes you could use dolphin4 or Konqueror...

    Btw, I never experienced such a crash here either.
    But then, I'm on 13.2 and use Qt 5.5.1. A Qt update for Leap 42.1 is running at the moment, maybe that would help...

    One thing I would recommend though to make sure that you don't have a mixture of packages in different versions installed:
    Code:
    sudo zypper dup --from 1
    Thanks for entering the fray, wolfi.

    After a zypper ref I did this:

    Code:
    # zypper dup --from 1                                                                                                                                                                        
    Loading repository data...                                                                                                                                                                              
    Reading installed packages...                                                                                                                                                                           
    Computing distribution upgrade...                                                                                                                                                                       
                                                                                                                                                                                                            
    Problem: nothing provides libmarblewidget-qt5.so.23()(64bit) needed by libKF5KGeoMap10_0_0-15.12.0-23.2.x86_64                                                                                          
     Solution 1: Following actions will be done:                                                                                                                                                            
      deinstallation of libkgeomap2-15.08.3-21.1.x86_64                                                                                                                                                     
      deinstallation of libkgeomap-15.08.3-21.1.x86_64                                                                                                                                                      
      deinstallation of kipi-plugins-geolocation-4.13.0-2.3.x86_64                                                                                                                                          
      deinstallation of digikam-4.13.0-2.3.x86_64
      deinstallation of digikam-lang-4.13.0-2.3.noarch
     Solution 2: keep obsolete libkgeomap-15.08.3-21.1.x86_64
     Solution 3: break libKF5KGeoMap10_0_0-15.12.0-23.2.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/3/c] (c):
    As usual I do not know what to do. I'm pretty sure I wouldn't want to lose digikam.

    baffled
    Dell Inspiron 560
    Intel® Pentium® Dual Core E5500
    4GB DDR3 | Nvidia GeForce 310
    Plasma

  3. #13

    Default Re: dolphin crashes in split mode

    Quote Originally Posted by folkpuddle View Post
    As usual I do not know what to do. I'm pretty sure I wouldn't want to lose digikam.
    Choose Solution 2, "keep the obsolete libkgeomap"...

    There seems to be an inconsistency in the repo, and using both KDE:Extra and KDE:Applications on Leap is not really supported...
    As you are using devel repos for Factory, such things can happen.
    And incomplete upgrades can of course cause the strangest problems.

    You could just as well remove the KDE:Applications repo though and switch back to the standard versions, KDE Applications 15.12.0 will be released as official update for Leap anyway.

  4. #14
    Join Date
    Mar 2011
    Location
    Coastal Otago
    Posts
    191

    Default Re: dolphin crashes in split mode

    Quote Originally Posted by wolfi323 View Post
    Choose Solution 2, "keep the obsolete libkgeomap"...

    There seems to be an inconsistency in the repo, and using both KDE:Extra and KDE:Applications on Leap is not really supported...
    As you are using devel repos for Factory, such things can happen.
    And incomplete upgrades can of course cause the strangest problems.

    You could just as well remove the KDE:Applications repo though and switch back to the standard versions, KDE Applications 15.12.0 will be released as official update for Leap anyway.
    Well blow me down, there was me thinking since the repos extra;applications;frameworks 5 are all on the wiki as official repos I figured they would be just fine.

    Ah well. I removed the applications repo for starters and zypper reffed then zypper upped. This was the result:

    Code:
    zypper up                                                                                                                                                                                  
    Loading repository data...                                                                                                                                                                              
    Reading installed packages...                                                                                                                                                                           
                                                                                                                                                                                                            
    The following 43 package updates will NOT be installed:                                                                                                                                                 
      amarok amarok-lang ark choqok cln digikam digikam-lang dragonplayer gstreamer-plugins-qt kdeartwork4-screensaver kdeartwork4-wallpapers kdeartwork4-wallpapers-weather kgpg kipi-plugins              
      kipi-plugins-acquireimage kipi-plugins-geolocation kipi-plugins-lang konversation konversation-lang ktorrent ktorrent-lang lensfun-data libepub0 libhdf5-10 libhdf5_hl10 libkdcraw23 libkface3        
      libkipi11 libksane0 liblensfun0 libloudmouth-1-0 libopencv2_4 libpackagekitqt5-0 libqalculate5 libtag-extras1 libtelepathy-qt4-2 moodbar python3-setuptools skanlite skanlite-doc skanlite-lang       
      susehelp susehelp_en                                                                                                                                                                                  
                                                                                                                                                                                                            
    Nothing to do.
    I might ad that I did not proceed with zypper dup --from 1 in the previous post. when I saw your response I had already cancelled the transation and this morning I removed the applications repo.

    I'm beginning to wonder if I shouldn't remove extra and Frameworks 5 as well, although extra provides packages like acetone that aren't in the official repos. There shouldn't be conflicts from extra since they aren't provided anywhere else. No? Wrong again? Bad assumptions?

    Thanks for your help,
    Dell Inspiron 560
    Intel® Pentium® Dual Core E5500
    4GB DDR3 | Nvidia GeForce 310
    Plasma

  5. #15
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,702

    Default Re: dolphin crashes in split mode

    Zypper up only updates when it finds packages with higher version numbers in the vendors repo then what you he installed . Simply removing repos (vendors) does nothing to remove the packages. You need to do dup to revert things back to where they should be, as wolfi told you.

  6. #16

    Default Re: dolphin crashes in split mode

    Quote Originally Posted by folkpuddle View Post
    Well blow me down, there was me thinking since the repos extra;applications;frameworks 5 are all on the wiki as official repos I figured they would be just fine.
    They are kind of official, but those are devel repos for Factory/Tumbleweed and always contain the latest versions without prior testing.
    So there *can* be problems at times. Although as it only gets stable upstream versions, it should be safe to use.

    But it is recommended that you do a full switch to that repo. Otherwise you could/will end up with a mixture of package versions that might not fit together.

    Ah well. I removed the applications repo for starters and zypper reffed then zypper upped. This was the result:


    I might ad that I did not proceed with zypper dup --from 1 in the previous post. when I saw your response I had already cancelled the transation and this morning I removed the applications repo.
    Adding/removing repos will not change your installed packages. And as gogalthorpe wrote already, "zypper up" will not switch packages to versions from a different repo either.
    You need to switch them manually.

    Either look in YaST->Software Management for packages marked in red and "Upgrade Unconditionally" or switch them via the "Versions" tab, or run "zypper dup" but that might be problematic too if you have many repos.

    For further advise, please post your repo list:
    Code:
    zypper lr -d
    I'm beginning to wonder if I shouldn't remove extra and Frameworks 5 as well, although extra provides packages like acetone that aren't in the official repos. There shouldn't be conflicts from extra since they aren't provided anywhere else. No? Wrong again? Bad assumptions?
    KDE:Extra shouldn't cause problems, but the same applies there: it is the devel repo for Factory and always gets the latest versions without prior testing. But it also contains packages not included in the distribution.

    It should be safe to use though, and definitely should not cause problems with dolphin...

  7. #17
    Join Date
    Mar 2011
    Location
    Coastal Otago
    Posts
    191

    Default Re: dolphin crashes in split mode

    repos are exactly the same as in post 1 of this thread - with the exception of Applications which I have now removed.

    All the "extra" repos except the repo named extra were switched using Yast at the time of their addition.
    It's not your fault you didn't know that - I didn't tell you about the switch. Call it an information omission if you will!

    Am now about to zypper dup

    Cheers and thanks
    Dell Inspiron 560
    Intel® Pentium® Dual Core E5500
    4GB DDR3 | Nvidia GeForce 310
    Plasma

  8. #18
    Join Date
    Mar 2011
    Location
    Coastal Otago
    Posts
    191

    Default Re: dolphin crashes in split mode

    I decided to remove Frameworks5 from the list as well:

    Code:
    zypper lr -d
    # | Alias               | Name                              | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                             | Service
    --+---------------------+-----------------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------------------------------+--------
    1 | extra               | extra                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.1/                        |        
    2 | infinality          | infinality                        | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/nick31:/INFINALITY-ULTIMATE/openSUSE_Leap_42.1/ |        
    3 | nvidia              | nvidia                            | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | ftp://download.nvidia.com/opensuse/leap/42.1/                                                   |        
    4 | packman             | packman                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.1/                              |        
    5 | repo-non-oss        | openSUSE-Leap-42.1-Non-Oss        | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/non-oss/                               |        
    6 | repo-oss            | openSUSE-Leap-42.1-Oss            | Yes     | (r ) Yes  | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/leap/42.1/repo/oss/                                   |        
    7 | repo-update         | openSUSE-Leap-42.1-Update         | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/oss/                                              |        
    8 | repo-update-non-oss | openSUSE-Leap-42.1-Update-Non-Oss | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/42.1/non-oss/                                          |
    So I'm dupped and done.
    Back to "normal" - which is to say that dolphin version 15.08.3 now drags and drops in split mode without the crashing behaviour demonstrated by 15.12.x

    If I ever decide to add a repo how about yours, wolfi?

    http://download.opensuse.org/reposit...SUSE_Leap_42.1

    Would there be anything in my current list of repositories that would make adding yours an unstable mess?

    Thanks for all your help and advice all ye who answered here.
    Dell Inspiron 560
    Intel® Pentium® Dual Core E5500
    4GB DDR3 | Nvidia GeForce 310
    Plasma

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •